package com.enterprise.manage.common.constant;

/**
 * Controller Constant (控制器常量)
 *
 * @author PeiZhi Guo
 * 2021-2-20 9:44
 */
public class ControllerConstant {

    /**
     * 系统路径
     */
    public final static String SYSTEM = "/system/";

    /**
     * 开放路径
     */
    public final static String GUEST = "/guest/";

    /**
     * 代码生成
     */
    public final static String GENERATOR = "/generator/";

    /**
     * 文件路径
     */
    public final static String FILE = "/file/";

    /**
     * 文件上传
     */
    public final static String UPLOAD = "/upload/";
}
