package com.enterprise.manage.modules.asset.service.impl;

import com.enterprise.manage.common.base.BaseServiceImpl;
import com.enterprise.manage.modules.asset.domain.House;
import com.enterprise.manage.modules.asset.mapper.HouseMapper;
import com.enterprise.manage.modules.asset.service.IHouseService;
import org.springframework.stereotype.Service;


/**
 * 房产信息 Service 业务层处理
 *
 * @author QingLi Wang
 * 2023-11-28 09:38
 */
@Service
public class HouseServiceImpl extends BaseServiceImpl<HouseMapper, House> implements IHouseService {

}