package com.enterprise.manage.modules.system.mapper;

import com.enterprise.manage.common.base.BaseMapper;
import com.enterprise.manage.modules.system.domain.po.DictItem;
import org.springframework.stereotype.Repository;

/**
 * system dictionary item mapper interface
 *
 * @author PeiZhi Guo
 * 2021-05-13 14:50
 */
@Repository
public interface DictItemMapper extends BaseMapper<DictItem> {

    /**
     * 删除字典子项 (根据字典)
     *
     * Param parentId
     * Return int
     */
    int delItemByParentId(Long parentId);

}


