package com.enterprise.manage.modules.system.service.impl;

import com.enterprise.manage.common.base.BaseServiceImpl;
import com.enterprise.manage.modules.system.domain.po.Regional;
import com.enterprise.manage.modules.system.mapper.RegionalMapper;
import com.enterprise.manage.modules.system.service.IRegionalService;
import org.springframework.stereotype.Service;

import java.util.List;


/**
 * 地区信息 Service 业务层处理
 *
 * @author PeiZhi Guo
 * 2023-11-28 16:09
 */
@Service
public class RegionalServiceImpl extends BaseServiceImpl<RegionalMapper, Regional> implements IRegionalService {

//    @Cacheable(value = "regionalCache",key = "#parentId",unless = "#result == null or #result.size() == 0")
    @Override
    public List<Regional> queryRegionalByParentId(Long parentId) {
        Regional sysRegional = new Regional();
        sysRegional.setParentId(parentId);
        return baseMapper.selectByParam(sysRegional);
    }

}