package com.enterprise.manage.modules.asset.service.impl;

import com.enterprise.manage.common.base.BaseServiceImpl;
import com.enterprise.manage.modules.asset.domain.EnterpriseNameChange;
import com.enterprise.manage.modules.asset.mapper.EnterpriseNameChangeMapper;
import com.enterprise.manage.modules.asset.service.IEnterpriseNameChangeService;
import org.springframework.stereotype.Service;


/**
 * 企业机构更名记录 Service 业务层处理
 *
 * @author QingLi Wang
 * 2023-11-28 09:32
 */
@Service
public class EnterpriseNameChangeServiceImpl extends BaseServiceImpl<EnterpriseNameChangeMapper, EnterpriseNameChange> implements IEnterpriseNameChangeService {

}