package com.enterprise.manage.modules.system.mapper;

import com.enterprise.manage.common.base.BaseMapper;
import com.enterprise.manage.modules.system.domain.po.Dict;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * system dictionary mapper interface
 *
 * @author PeiZhi Guo
 * 2021-05-13 14:26
 */
@Repository
public interface DictMapper extends BaseMapper<Dict> {

    /**
     * 查询所有数据
     *
     * Return List<Dict>
     */
    List<Dict> selectList();
}


