package com.enterprise.manage.modules.system.service;

import com.enterprise.manage.common.base.BaseIService;
import com.enterprise.manage.modules.system.domain.po.DictItem;

import java.util.List;

/**
 * System dictionary service interface
 *
 * @author PeiZhi Guo
 * 2021-05-13 14:50
 */
public interface IDictItemService extends BaseIService<DictItem> {

    /**
     * 根据字典编码查询字典项
     *
     * Param type
     * Return List<DictItem>
     */
    List<DictItem> queryDictByType(String type);

    /**
     * 删除单条数据 (根据主键)
     *
     * Param id
     * Return string
     */
    String deleteById(Long id);
}
